Package org.multiverse.api.exceptions

## Class RetryInterruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.RetryException
          - - org.multiverse.api.exceptions.RetryInterruptedException

- All Implemented Interfaces:
    `Serializable`

      public class RetryInterruptedException
      extends RetryException

  A `RetryException` thrown when the blocking operation on a `Txn` using the retry has been interrupted.

  Unlike the `InterruptedException` this exception is not checked. A checked interrupted exception is quite nasty to have since either you need to deal with it, or you need to propagate it.

  When this exception is thrown, the interrupted status on the Thread always is restored.

  See Also:
    `TxnFactoryBuilder.setInterruptible(boolean)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryInterruptedException​(String message)` | Creates a new RetryInterruptedException with the provided message.
    `RetryInterruptedException​(String message, Throwable cause)` | Creates a new RetryInterruptedException with the provided message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryInterruptedException

          public RetryInterruptedException​(String message)

      Creates a new RetryInterruptedException with the provided message.
      Parameters:
        `message` - the message

    - #### RetryInterruptedException

          public RetryInterruptedException​(String message,
                                           Throwable cause)

      Creates a new RetryInterruptedException with the provided message and cause.
      Parameters:
        `message` - the message
        `cause` - the cause of this exception